Page MenuHomePhabricator

Please use GitHub pull requests for new patches. Avoid migrating existing patches. Phabricator shutdown timeline

remove a smattering of isolated, unnecessary uses of FILE*
ClosedPublic

Authored by lawrence_danna on Oct 3 2019, 10:43 PM.

Diff Detail

Event Timeline

lawrence_danna created this revision.Oct 3 2019, 10:43 PM
Herald added a project: Restricted Project. · View Herald TranscriptOct 3 2019, 10:43 PM
labath added inline comments.Oct 4 2019, 1:36 AM
lldb/source/Core/IOHandler.cpp
333

It looks like this could actually use the Stream interface to write this stuff (*m_output_sp << prompt). Ideally, I guess we wouldn't even have formatted output capabilities on the File class, and things would always go through streams for stuff like this..

494

same here.

lldb/source/Expression/REPL.cpp
426

and here.

JDevlieghere accepted this revision.Oct 4 2019, 9:27 AM

LGTM modulo the stream changes.

This revision is now accepted and ready to land.Oct 4 2019, 9:27 AM
lawrence_danna marked 3 inline comments as done.

fixed

labath accepted this revision.Oct 7 2019, 5:05 AM
This revision was automatically updated to reflect the committed changes.